List price lists
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/priceLists \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/priceLists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/priceLists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/priceLists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v1/priceLists")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/priceLists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"content": [
{
"name": "<string>",
"billingUnit": "Word",
"currencyCode": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"priceSets": [
{
"minimumPrice": 123,
"prices": [
{
"price": 123,
"workflowStep": {
"lqaEnabled": true,
"order": 123,
"abbr": "<string>",
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Price List
List price lists
priceSets are empty unless includePriceSets=true. With includePriceSets=true each item includes priceSets as in Get price list, for lists you may read. Can be large; for large lists use the paged GET /priceLists//priceSets instead
GET
/
api2
/
v1
/
priceLists
List price lists
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/priceLists \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/priceLists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/priceLists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/priceLists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v1/priceLists")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/priceLists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"content": [
{
"name": "<string>",
"billingUnit": "Word",
"currencyCode": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"priceSets": [
{
"minimumPrice": 123,
"prices": [
{
"price": 123,
"workflowStep": {
"lqaEnabled": true,
"order": 123,
"abbr": "<string>",
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Filter by name
Include priceSets of each price list, can be slow for large lists, default false
Was this page helpful?